Skip to the navigation links
Last modified: 21 September 2010

URL: http://cxc-newtest.cfa.harvard.edu/ciao4.2/bugs/proptools.html

Bugs: proposal tools


A list of bugs fixed in CIAO 4.2 is available.


Bugs

  1. ObsVis requires ds9 v5.7 or higher (15 Dec 2009)


Bugs

  1. ObsVis requires ds9 v5.7 or higher (15 Dec 2009)

    If a version of ds9 older than 5.7 is referred to in the .ciaorc file, the ObsVis smoke tests will fail. This will only occur if the user has changed the ds9 version in the file:

    unix% less ~/.ciaorc
    ...
    # Replace /usr/local/bin with path to ds9 to force use of local ds9
    #DS9 /usr/local/bin
    DS9 /Applications/DS9.app/Contents/MacOS
    

Bugs fixed in CIAO 4.2

The following is a list of bugs that were fixed in the CIAO 4.2 software release.

  1. ObsVis fails because it can't find ds9 (28 Jul 2009)
    (Mac OS X 10.4 only)

    The obsvis tool checks what OS is being used and sets the ds9 path based on the answer. There is a bug in how this is done on OS X 10.4 (Tiger) machines. The ObsVis smoke tests will fail with a message like:

    dyld: Library not loaded: /usr/lib/libiconv.2.dylib
    Referenced from: /Applications/ciao-4.1/ots/bin/ds9
    Reason: Incompatible library version: ds9 requires version 7.0.0 or
    later, but libiconv.2.dylib provides version 5.0.0 
    /Applications/ciao-4.1/bin/ds9: line 7: 10825 Trace/BPT trap ${EXE} -
    analysis ${ASCDS_INSTALL}/config/ciao.ds9 "$@"
    

    Workaround:

    1. Download and install the Mac OS X "Application" version of ds9 for Tiger: ds9 OS X Tiger disk image.

    2. In your CIAO installation, make a link to the ds9 Application:

      cd $ASCDS_INSTALL/ots/bin/
      mv ds9 ds9.ciao
      ln -s /path/to/SAOImage\ DS9.app/ds9 .
      

      Be sure to escape the space in the directory name.

  2. The PIMMS help command will SegV if the file is missing. (17 Jul 2009)

    PIMMS > help
    ?????09??*0
    
    At line 326 of file ark_help.f (Unit 11 "/soft/ciao/config/pimms/data/pimms.ahl
    ")
    Traceback: not available, compile with -ftrace=frame or -ftrace=full
    Fortran runtime error: Record number must be positive
    

    Workaround:

    An online version of the help is available from HEASARC: http://heasarc.gsfc.nasa.gov/docs/software/tools/pimms_ug6.html.


Last modified: 21 September 2010